# PlayerWarps by Olzie-12
# https://www.spigotmc.org/resources/115286/
# We also have a discord server for help: https://olziedev.com/discord or check docs https://docs.olziedev.com/projects/playerwarps
# Also if you find any bugs be happy to report them I will fix them :)
# Made with love

visitedit:
  # Should you enable the gui?
  enabled: true
  # What is the name of the gui? 
  name: "visitedit"
  # The title of the gui (Can use color codes)
  title: "&a&lManage visit"
  # What is the size of this GUI? (multiples of 9 can only go up to 54)
  size: 27
  # What are the actions when this menu is opened up?
  open-actions: []
  # What are the actions when this menu is closed?
  close-actions: []

  clickable-items:
    menu:
      name: "&aGo back to menu"
      material: "BOOK"
      data: 0
      lore:
      - "&dClick&a to go back to the menu."
      slot: 22
      amount: 1
      glowing: false

  items:
    1:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 0
      amount: 1
      glowing: false
    2:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 1
      amount: 1
    3:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 2
      amount: 1
    4:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 3
      amount: 1
    5:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 4
      amount: 1
    6:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 5
      amount: 1
    7:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 6
      amount: 1
    8:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 7
      amount: 1
    9:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 8
      amount: 1
    10:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 9
      amount: 1
    11:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 17
      amount: 1
    12:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 18
      amount: 1
    13:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 19
      amount: 1
    14:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 20
      amount: 1
    15:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 21
      amount: 1
    16:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 23
      amount: 1
    17:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 24
      amount: 1
    18:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 25
      amount: 1
    19:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 26
      amount: 1
    20:
      name: "&aRate"
      material: "DIAMOND"
      data: 0
      slot: 11
      amount: 1
      lore:
      - "&aClick to rate &d[warp]"
      commands:
      - "[chat_wait] &aPlease enter a number to rate (0-5):[player] !color pwarp rate %warp% %value%"
      - "[close]"
      back: false
    21:
      name: "&aTeleport"
      material: "ENDER_EYE"
      data: 0
      slot: 13
      amount: 1
      lore:
      - "&aClick to teleport to &d[warp]"
      commands:
      - "[player] pwarp %warp%"
      back: false
    22:
      name: "&aFavourite"
      material: "NETHER_STAR"
      data: 0
      slot: 15
      amount: 1
      lore:
      - "&aClick to toggle favourite &d[warp]"
      commands:
      - "[player] pwarp favourite %warp%"
      back: false
    # What are the items that are placed into the GUI to make it more pretty?
      # This is the name of the item.
      # This is the item material.
      # This is the data item
      # You can add lores!
      # example of what you can do:
      # lore:
      #   - "&bThis is a pane."
      # What is the stack amount?
      # commands that will be executed on click.
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # commands:
      #   - "[server] msg %player% you clicked this item!"
      # These only work if the skull is a PLAYER_HEAD and the data is 3!
      #texture: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTZmOGFmYjI3YmFmYzc3YzJiODI1OTljMmY3YjhmMWY2ODMxMGU2YWE5MDRmMDUxYjA3YWIxYzJiNmIifX19 - Skull texture
      #owner: Glass - Skull owner
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
